Page MenuHomePhabricator

Enable app push notifications in production
Closed, ResolvedPublic

Description

Target date: Sept. 21, 2020

  • Create push subscription manager user on metawiki
  • Create DB tables (in x1 cluster, wikishared DB)
  • Deploy the push-notifications service to eqiad and codfw
  • Deploy MediaWiki config update to enable Echo push functionality on testwiki; perform manual testing
  • Deploy MediaWiki config update to enable Echo push functionality on all Wikipedias

TODO:

  • Verify that app push should be enabled on all of the Wikipedias (and only on the Wikipedias)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2020, 2:28 PM
Mholloway triaged this task as High priority.Sep 15 2020, 2:28 PM

Claiming this to tee up the MW configuration changes.

Mholloway updated the task description. (Show Details)Sep 15 2020, 4:41 PM
Mholloway updated the task description. (Show Details)
Mholloway updated the task description. (Show Details)Sep 15 2020, 5:11 PM
Mholloway updated the task description. (Show Details)Sep 15 2020, 5:28 PM
Mholloway updated the task description. (Show Details)Sep 16 2020, 1:47 PM
Mholloway updated the task description. (Show Details)Sep 16 2020, 4:15 PM
Mholloway updated the task description. (Show Details)Sep 17 2020, 9:25 PM

Change 628341 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Echo: Set up the push notifier type

https://gerrit.wikimedia.org/r/628341

Change 628342 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Echo: Enable push on testwiki

https://gerrit.wikimedia.org/r/628342

Change 628343 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Echo: Enable push on all Wikipedias

https://gerrit.wikimedia.org/r/628343

Change 628881 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/deployment-charts@master] Update push-notifications config

https://gerrit.wikimedia.org/r/628881

Change 628881 merged by jenkins-bot:
[operations/deployment-charts@master] Update push-notifications config

https://gerrit.wikimedia.org/r/628881

Change 628882 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Add push-notifications service labs config

https://gerrit.wikimedia.org/r/628882

Change 628883 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Add push-notifications service production config

https://gerrit.wikimedia.org/r/628883

Change 628885 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Add push-notifications service config

https://gerrit.wikimedia.org/r/628885

Change 628883 abandoned by Mholloway:
[operations/mediawiki-config@master] Add push-notifications service production config

Reason:

https://gerrit.wikimedia.org/r/628883

Change 628882 abandoned by Mholloway:
[operations/mediawiki-config@master] Add push-notifications service labs config

Reason:

https://gerrit.wikimedia.org/r/628882

Mholloway updated the task description. (Show Details)Sep 21 2020, 7:21 PM

Change 628885 merged by jenkins-bot:
[operations/mediawiki-config@master] Add push-notifications service config

https://gerrit.wikimedia.org/r/628885

Change 628341 merged by jenkins-bot:
[operations/mediawiki-config@master] Echo: Set up common push settings

https://gerrit.wikimedia.org/r/628341

Change 628342 merged by Mholloway:
[operations/mediawiki-config@master] Echo: Enable push on testwiki

https://gerrit.wikimedia.org/r/628342

Mholloway updated the task description. (Show Details)Sep 21 2020, 8:00 PM

The service is live and Echo push is enabled on testwiki. Leaving it there for now for testing and CE consultation.

Change 628951 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/deployment-charts@master] Push notifications: Increase log level to debug for testing

https://gerrit.wikimedia.org/r/628951

Change 628951 merged by jenkins-bot:
[operations/deployment-charts@master] Push notifications: Increase log level to debug for testing

https://gerrit.wikimedia.org/r/628951

Change 628962 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/deployment-charts@master] Push notifications: Increase log level to trace for testing

https://gerrit.wikimedia.org/r/628962

Change 628962 merged by jenkins-bot:
[operations/deployment-charts@master] Push notifications: Increase log level to trace for testing

https://gerrit.wikimedia.org/r/628962

Final promotion to all Wikipedias blocked on CE consultation.

Change 628343 merged by jenkins-bot:
[operations/mediawiki-config@master] Echo: Enable push on all Wikipedias

https://gerrit.wikimedia.org/r/628343

Mentioned in SAL (#wikimedia-operations) [2020-09-29T23:24:52Z] <mholloway-shell@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Enable Echo app push on all Wikipedias (T262936) (duration: 00m 59s)

Mholloway closed this task as Resolved.Sep 29 2020, 11:25 PM
Mholloway updated the task description. (Show Details)